Maton

List Connections

GET/connections

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Query Parameters

app?string

Filter by app identifier (e.g. slack, hubspot).

status?string

Filter by authorization status.

Value in"ACTIVE" | "PENDING" | "FAILED"
method?string

Filter by authorization method.

Value in"API_KEY" | "BASIC" | "JWT" | "OAUTH1" | "OAUTH2" | "MCP"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://api.maton.ai/connections?app=slack&status=ACTIVE" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "connections": [
    {
      "connection_id": "5d0c1f8e-3a2b-4c6d-8e9f-0a1b2c3d4e5f",
      "status": "ACTIVE",
      "creation_time": "2026-01-08T07:20:53.488460Z",
      "last_updated_time": "2026-01-31T20:03:32.593153Z",
      "url": "https://connect.maton.ai/?session_token=5e9...",
      "app": "slack",
      "method": "OAUTH2",
      "metadata": {}
    }
  ]
}
{
  "message": "Invalid app name.",
  "type": "Bad Request",
  "code": 400
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}